# Poco::Data::MySQL

# class MySQLStatementImpl

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/MySQLStatementImpl.h

## Description

Implements statement functionality needed for MySQL

## Inheritance

Direct Base Classes: Poco::Data::StatementImpl

All Base Classes: Poco::Data::StatementImpl, Poco::RefCountedObject

## Member Summary

Member Functions: bindImpl, binder, canBind, columnsReturned, compileImpl, extractor, hasNext, metaColumn, next

Inherited Functions: add, addBinding, addExtract, bindImpl, binder, bindings, canBind, columnsExtracted, columnsReturned, compileImpl, duplicate, execute, extractions, extractor, getState, hasNext, makeExtractors, metaColumn, next, referenceCount, release, reset, setExtractionLimit, toString

## Constructors

### MySQLStatementImpl

MySQLStatementImpl(
SessionHandle & h
);

Creates the MySQLStatementImpl.

## Destructor

### ~MySQLStatementImpl

~MySQLStatementImpl();

Destroys the MySQLStatementImpl.

## Member Functions

### bindImpl

virtual void bindImpl();

Binds parameters

See also: Poco::Data::StatementImpl::bindImpl()

### binder

virtual AbstractBinder & binder();

Returns the concrete binder used by the statement.

See also: Poco::Data::StatementImpl::binder()

### canBind

virtual bool canBind() const;

Returns true if a valid statement is set and we can bind.

See also: Poco::Data::StatementImpl::canBind()

### columnsReturned

virtual Poco::UInt32 columnsReturned() const;

Returns number of columns returned by query.

See also: Poco::Data::StatementImpl::columnsReturned()

### compileImpl

virtual void compileImpl();

Compiles the statement, doesn't bind yet

See also: Poco::Data::StatementImpl::compileImpl()

### extractor

virtual AbstractExtractor & extractor();

Returns the concrete extractor used by the statement.

See also: Poco::Data::StatementImpl::extractor()

### hasNext

virtual bool hasNext();

Returns true if a call to next() will return data.

See also: Poco::Data::StatementImpl::hasNext()

### metaColumn

virtual const MetaColumn & metaColumn(
Poco::UInt32 pos
) const;

Returns column meta data.

See also: Poco::Data::StatementImpl::metaColumn()

### next

virtual void next();

Retrieves the next row from the resultset. Will throw, if the resultset is empty.

See also: Poco::Data::StatementImpl::next()